
Finalization Pharmadex for Mozambique, Bangladesh, Namibia, Ethiopia - Bug #2378

NA Remove line Memo No and Date from Sample Request

12/20/2016 12:27 PM - Oleksii Kurasov

Status: Closed Start date: 12/20/2016

Priority: Immediate Due date: 12/21/2016

Assignee: Oleksii Kurasov % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

History

#1 - 12/21/2016 03:20 AM - Oleksii Kurasov

- Status changed from New to In Progress

N

#2 - 12/21/2016 05:07 AM - Oleksii Kurasov

- Status changed from In Progress to Closed
